Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class XlsxRunHelper

    java.lang.Object
      net.sf.jasperreports.engine.export.ooxml.BaseHelper
          net.sf.jasperreports.engine.export.ooxml.XlsxRunHelper

    public class XlsxRunHelper

extends BaseHelper

Version:
  $Id: StyleCache.java 2908 2009-07-21 14:32:01Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper
`writer`

Constructor Summary
`XlsxRunHelper(java.io.Writer writer, java.util.Map fontMap, java.lang.String exporterKey)`

Method Summary
`void` | `export(JRStyle style, java.util.Map attributes, java.lang.String text, java.util.Locale locale)`
`void` | `exportProps(JRStyle style, java.util.Locale locale)`
`void` | `exportProps(java.util.Map parentAttrs, java.util.Map attrs, java.util.Locale locale)`

Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XlsxRunHelper

    public XlsxRunHelper(java.io.Writer writer,
                         java.util.Map fontMap,
                         java.lang.String exporterKey)

Method Detail

### export

    public void export(JRStyle style,
                       java.util.Map attributes,
                       java.lang.String text,
                       java.util.Locale locale)

### exportProps

    public void exportProps(JRStyle style,
                            java.util.Locale locale)

### exportProps

    public void exportProps(java.util.Map parentAttrs,
                            java.util.Map attrs,
                            java.util.Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com